This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 861057 - Do not use log rotation for /var/log/boot.log
Do not use log rotation for /var/log/boot.log
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sysklogd (Show other bugs)
5.9
All Linux
medium Severity medium
: rc
: ---
Assigned To: Peter Vrabec
BaseOS QE Security Team
:
Depends On: 860991 861059
Blocks: 1002709
  Show dependency treegraph
 
Reported: 2012-09-27 08:44 EDT by Karel Srot
Modified: 2013-10-06 21:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 860991
Environment:
Last Closed: 2013-10-06 21:42:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-09-27 08:44:40 EDT
This is for fixing the /etc/logrotate.d/syslog on sysklogd side too.


+++ This bug was initially created as a clone of Bug #860991 +++

Since this has been fixed in RHEL6, it should probably be fixed in rsyslog5 too.

+++ This bug was initially created as a clone of Bug #683537 +++

2. What is the nature and description of the request?

rsyslog includes /var/log/boot.log in the /etc/logrotate.d/syslog file. Since
the boot.log file is only written to during boot up, it doesn't need to be
rotated on a schedule.


--- Additional comment from ksrot@redhat.com on 2012-09-27 07:48:44 EDT ---

Tomas,
I just realized that changing /etc/logrotate.d/syslog would cause file conflict with sysklog package. We probably do not want to do that.

--- Additional comment from ksrot@redhat.com on 2012-09-27 08:42:50 EDT ---

This has to be fixed in sysklogd too to avoid file conflicts on /etc/logrotate.d/syslog. Therefore postponing the bug to 5.10.
Comment 3 Karel Srot 2012-10-03 01:34:23 EDT
Removing RFE. This can be considered as a bugfix since the rotation of boot.log may cause its deleting if the file size grows above the limit during the boot. 

Also please note that this has been fixed in RHEL6.
Comment 4 RHEL Product and Program Management 2013-05-01 03:06:18 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 6 Andrius Benokraitis 2013-10-06 21:42:18 EDT
This Bugzilla has been reviewed by Red Hat and is not planned on being addressed in Red Hat Enterprise Linux 5, and therefore will be closed. If this bug is critical to production systems, please contact your Red Hat support representative and provide sufficient business justification.

Note You need to log in before you can comment on or make changes to this bug.